%define major		1
%define libname		%mklibname %{name} %{major}
%define libnamedev	%mklibname %{name} -d

Summary:	libpurple events handling plugin and library
Name:		purple-events
Version:	0.99.1
Release:	%mkrel 7
License:	GPLv3+
Group:		Networking/Instant messaging
Url:		https://purple-events.sardemff7.net/
Source0:	https://download.tuxfamily.org/purpleevents/%{name}/%{name}-%{version}.tar.xz
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	pkgconfig(purple)
# This doesn't seem to be actually used, except that libtool seems to want all
# potential static dependencies around before ld throws most of them away
BuildRequires:	pkgconfig(libgadu)
BuildRequires:	pkgconfig(libnm)
BuildRequires:	pkgconfig(libnsl)

Conflicts:	%{mklibname %{name} 0} <= 0.2

%description
%{name} is a libpurple events handling plugin and library.

%package -n %{libname}
Group:		System/Libraries
Summary:	libpurple events handling plugin and library
Requires:	%{name} >= %{version}

%description -n %{libname}
%{name} is a libpurple events handling plugin and library.

%package -n %{libnamedev}
Summary:	Development package for %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libnamedev}
Files for development with %{name}.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang %{name}

%files -f %{name}.lang
%{_libdir}/purple-2/purple-events-exec.so
%{_libdir}/purple-2/purple-events.so
%{_datadir}/vala/vapi/%{name}.deps
%{_datadir}/vala/vapi/%{name}.vapi

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{libnamedev}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.99.1-7.mga10
+ Revision: 2214418
- Mageia 10 Mass Rebuild

* Wed Apr 06 2022 umeabot <umeabot> 0.99.1-6.mga9
+ Revision: 1845831
- Mageia 9 Mass Rebuild

* Wed Jan 06 2021 daviddavid <daviddavid> 0.99.1-5.mga8
+ Revision: 1669175
- add build dependency on pkgconfig(libnsl) to fix build

* Sun Feb 23 2020 umeabot <umeabot> 0.99.1-4.mga8
+ Revision: 1549535
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.99.1-3.mga7
+ Revision: 1300408
- Mageia 7 Mass Rebuild

* Tue Jan 05 2016 blino <blino> 0.99.1-2.mga6
+ Revision: 919786
- move plugins to main package to avoid conflicts with older lib packages

* Sun Jan 03 2016 luigiwalser <luigiwalser> 0.99.1-1.mga6
+ Revision: 918843
- 0.99.1
- update source URL
- library major is now 1

* Sun Oct 26 2014 danf <danf> 0.2-1.git7.mga5
+ Revision: 793465
- Added BuildRequires: pkgconfig(libgadu)

* Wed Oct 15 2014 umeabot <umeabot> 0.2-1.git6.mga5
+ Revision: 747282
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2-1.git5.mga5
+ Revision: 687838
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.2-1.git4.mga4
+ Revision: 526589
- Mageia 4 Mass Rebuild

* Wed Jun 05 2013 blino <blino> 0.2-1.git3.mga4
+ Revision: 437378
- update git snapshot to fix crash (plugin: Fix chat message callback)

* Sun Jan 13 2013 umeabot <umeabot> 0.2-1.git2.mga3
+ Revision: 378334
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 blino <blino> 0.2-1.git1.mga3
+ Revision: 322738
- buildrequire gettext-devel (for intltool.m4)
- initial purple-events package
- Created package structure for purple-events.

